Subject: Re: [PATCH] dnet: Dave DNET ethernet controller driver

From: Jamie Lokier <[email-masked]>
Date: Thu, 12 Mar 2009 18:02:34 +0000

David Miller wrote:
> > I'm confused by this. If I'm NFS-booting the board then how do I get
> > to those userland tools if I don't have a valid MAC address in place
> > to do the root mount?
> 
> Initial ramdisk.

Aren't you basically implying that the in-kernel DHCP client and NFS
mounting should be removed from the kernel too?

I'd agree with that; it's the trend.  But it seems pretty harsh to say
"you can do DHCP+NFS now, but if you want to set the MAC address too,
then you have to reimplement DHCP+NFS a completely different way from
scratch first".

-- Jamie